package com.kxs.common.core.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 机器类型enum
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum MachineTypeEnum {

    /**
     * 机具状态
     */
    STATUS_BAD(-1, "坏机"),
    STATUS_IS(0, "在库"),
    STATUS_OUT(1, "已出库"),

    /**
     * 回收状态 0正常 1可回收
     */
    RECYCLE_STATUS(0, "正常"),
    RECYCLE(1, "可回收"),
    /**
     * 机具类型
     */
    M_TYPE_SN(0, "兑换机"),
    M_TYPE_RE(1, "循环机"),
    /**
     * 机具激活
     */
    NO_ACT(0, "未激活"),
    ACT(1, "已激活"),
    /**
     * 机具绑定
     */
    NO_BIND(0, "未绑定"),
    BIND(1, "已绑定");

    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
